//
// Created by rhetenor on 14.12.18.
//

#ifndef FLIPPR_DRIVER_OUTPUT_SOUNDBOARDPINCONTROLLER_H
#define FLIPPR_DRIVER_OUTPUT_SOUNDBOARDPINCONTROLLER_H

#include "output/items/detail/Sound.h"
#include "PinController.h"

namespace flippR_driver
{
namespace output
{

class SoundBoardPinController : public PinController
{
public:
  virtual ~SoundBoardPinController() = default;

  virtual void activate(const items::detail::Sound &sound) = 0;
  virtual void deactivate(const items::detail::Sound &sound) = 0;
};

}
}

#endif //FLIPPR_DRIVER_SOUNDPINCONTROLLER_H
